    /*
     *  call-seq:
     *     PerFieldAnalyzer.new(default_analyzer) -> analyzer
     *
     *  Create a new PerFieldAnalyzer specifying the default analyzer to use on
     *  all fields that are set specifically.
     *
     *  default_analyzer:: analyzer to be used on fields that aren't otherwise
     *                     specified
     */
    static VALUE
    frt_per_field_analyzer_init(VALUE self, VALUE ranalyzer)
    {
        Analyzer *def = frt_get_cwrapped_analyzer(ranalyzer);
        Analyzer *a = per_field_analyzer_new(def);
        Frt_Wrap_Struct(self, &frt_pfa_mark, &frt_analyzer_free, a);
        object_add(a, self);
        return self;
    }